//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FQ.MD.WEB.Models
{
    using System;
    using System.Collections.Generic;

    public partial class GT_MASTER_USERS
    {
        public GT_MASTER_USERS()
        {
            this.GT_MASTER_USER_ROLES = new HashSet<GT_MASTER_USER_ROLES>();
        }

        public int UserId { get; set; }
        public string Username { get; set; }
        public string Name { get; set; }
        public string Email { get; set; }
        public string Password { get; set; }
        public string Salt { get; set; }
        public int GroupId { get; set; }
        public bool IsActive { get; set; }
        public Nullable<int> InactivatedBy { get; set; }
        public Nullable<System.DateTime> InactivatedDate { get; set; }
        public Nullable<int> CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public Nullable<int> LastUpdatedBy { get; set; }
        public Nullable<System.DateTime> LastUpdateDate { get; set; }
        public bool IsDeleted { get; set; }
        public Nullable<int> DeletedBy { get; set; }
        public Nullable<System.DateTime> DeletedDate { get; set; }
        public string Remark { get; set; }

        public virtual GT_MASTER_GROUPS GT_MASTER_GROUPS { get; set; }
        public virtual ICollection<GT_MASTER_USER_ROLES> GT_MASTER_USER_ROLES { get; set; }
    }
}
